local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.OutlandEasterEggsUI(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.ChallesHomeEasterEgg(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.FallenOrcEasterEgg(container)

end

-- Legion Tab
local function DrawGroup3(container)

core.NovagraveEasterEgg(container)

end


local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
      elseif group == "tab3" then
      DrawGroup3(container)

   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Outland - Easter Eggs")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")



local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Challe's Home", value="tab1"}, {text="Fallen Orc", value="tab2"}, {text="Nova grave", value="tab3"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end